gnutls_x509_crt_get_signature(3)

NAME
gnutls_x509_crt_get_signature - Returns the Certificate's signature

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_signature(gnutls_x509_crt_t cert, char * sig, size_t * sizeof_sig);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

char * sig
    a pointer where the signature part will be copied (may be null).

size_t * sizeof_sig
    initially holds the size of sig

DESCRIPTION
This function will extract the signature field of a certificate.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value. and a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.